package com.smppw.modaq.common.enums;

public enum ReportParseStatus implements StatusCode {
    SYSTEM_ERROR(20001, "系统异常"),
    ARCHIVE_FAIL(20002, "压缩包解压失败"),
    FILE_UPLOAD_FAIL(20003, "文件上传失败"),

    AI_NOT_FOUND(20009, "AI资源找不到"),
    NO_SUPPORT_AI(20010, "报告[{}]不支持AI解析"),
    PARSE_FAIL(21000, "定期报告或交易确认单解析错误：{}"),
    NOT_A_REPORT(21001, "[{}]不是支持的报告格式"),
    REPORT_IS_SCAN(21002, "报告[{}]为扫描件"),
    NO_SUPPORT_TEMPLATE(21003, "报告[{}]是不支持的文件格式"),
    NOT_A_FIXED_FORMAT(21004, "报告[{}]不是基协统一格式"),

    PARSE_FUND_INFO_FAIL(21010, "报告[{}]没有解析到基金基本信息"),
    PARSE_NAV_INFO_FAIL(21011, "报告[{}]没有解析到基金净值信息"),
    PARSE_FINANCIAL_INFO_FAIL(21012, "报告[{}]没有解析到基金财务指标信息"),
    PARSE_INDUSTRY_INFO_FAIL(21013, "报告[{}]没有解析到基金行业配置信息"),
    PARSE_ASSET_INFO_FAIL(21014, "报告[{}]没有解析到基金资产配置信息"),
    PARSE_SHARE_INFO_FAIL(21015, "报告[{}]没有解析到基金份额变动信息"),

    PARSE_CORE_INFO_FAIL(21019, "报告[{}]没有解析到关键信息"),
    PARSE_HANDLE_FAIL(21018, "报告结果在结构化时转换错误"),

    PARSE_RULE_NO_FUND(21020, "未设置报告解析规则"),
    ;
    private final int code;
    private final String msg;

    ReportParseStatus(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return this.code;
    }

    @Override
    public String getMsg() {
        return this.msg;
    }
}
